.formflyout {
  position: relative;
  width: 100%;

  input[type="checkbox"].input-checkbox + label,
  input[type="radio"].input-radio + label {
    padding: 10px;
  }
  input[type="checkbox"].input-checkbox + label:before {
    border: 1px solid $color-paragraph;
  }
}

.formflyout__button {
  @include _display-flex(flex, center, flex-start);
  height: $forms-input-height;
  padding: 0 $grid-gap;
  @include _transition(all);

  border: 1px solid $border-color;
  border-radius: $border-radius;
  background: $color-white;

  &.-chosen {
    font-weight: bold;
  }

  &.-active {
    border-bottom-color: transparent;
    border-radius: $border-radius $border-radius 0 0;
  }

  &:after {
    position: absolute;
    right: $grid-gap;
    top: 0;
    height: 100%;
    @include _transition(all);
    @include _getIcon('collapse');
    @include _display-flex(inline-flex, center, center);
  }
}

.formflyout__button .pill-notification {
  margin-left: math.div($grid-gap, 3);
}

.formflyout__content {
  position: absolute;
  width: 100%;
  min-width: 230px;
  z-index: map_get($z-index, 'flyout');
  border-radius: 0 0 $border-radius $border-radius;
  border: 1px solid $border-color;
  border-top-width: 0;
  border-bottom-width: 0;
  background: $color-white;

  .-active + & {
    border-bottom-width: 1px;
  }
}

.formflyout__list {
  @include _reset-lists;
  padding-bottom: 5px;
}

li.formflyout__listitem {
  @include _display-flex(flex, center, flex-start);

  @include _link-active {
    button,
    label {
      cursor: pointer;
      background: color-gray(1);
    }
  }

  button,
  label {
    line-height: 2.5;
    width: 100%;
    padding: 0 $grid-gap;
    @include _display-flex(flex, center, flex-start);
  }

  input[type="checkbox"],
  input[type="radio"] {
    margin-right: 5px;
  }

  .input-group {
    width: 100%;
  }
}

